# Update supercase

Endpoint: PUT /supercases/{supercaseId}
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Path parameters:

  - `supercaseId` (string, required)
    The ID of the supercase

## Request fields (application/json):

  - `autoCreated` (boolean)
    True if the supercase was created by some automated method.

  - `description` (string)
    A description of the supercase and/or the precipitating event
of the supercase.

  - `eventStartedAt` (string)
    The date and time at which the precipitating event took place. For instance, in the
case of a bug, the earliest date at which the bug affected customers; in the case
of a disaster, the date at which the disaster occurred.

  - `femaDisasterNumber` (integer)
    The associated FEMA disaster number.

  - `femaMonitoringEndDate` (string)
    If set, the FEMA supercase monitoring will stop after this date.

  - `name` (string)
    Name of the supercase.

  - `outcome` (string)
    The outcome of a process, case, complaint, or dispute.
- If found to be valid, set value to `approved`.
This might impact debt collection efforts.
- If dismissed, set value to `denied`.
This will have no further impact on debt collection efforts.
- If found to be a false positive, set value to `falsePositive`.
- If completed without an outcome (or no outcome was needed), set to `noOutcome`.
    Enum: "approved", "denied", "falsePositive", "noOutcome"

  - `status` (string)
    The status of a process. This can be updated by a lender or by Peach.
`initiated` - The lender was notified by a borrower, but no documents or
evidence have been provided yet. A grace period can be set.
`processing` - Peach matched the borrower to an external data source, or the
lender started an internal process to handle a case, complaint or dispute.
`completed` - The lender completed an internal process, case, complaint or
dispute. For example:
- A borrower reported identity theft, and the lender reviewed documents
and approved the claim.
- A borrower requested a verification of debt in writing, and the lender sent an email with
details.
- Peach notified the lender about a new bankruptcy, and the lender reviewed
the case and deemed it to be a false positive.

`canceled` - The lender couldn't complete an internal process and canceled
it. This can happen for various reasons, such as lack of
sufficient documentation.
`reopened` - The lender re-opened the case.
    Enum: "initiated", "processing", "completed", "canceled", "reopened"

  - `subcaseName` (string)
    The name of the subcase which will be used when creating new subcases for this supercase.

  - `subcaseTypeId` (string)
    The ID of the case-type which will be used when creating new subcases for this supercase.
When a population is committed (by settings its `isDraft: false`) subcases of this type
are created for all members of the population.
Notes:
- This is different from the `supercaseType`
- This must be NOT null in order to commit a population.

  - `supercaseType` (string)
    The different types of supercases.
Note that `supercaseType` is different from `subcaseType`. A `supercaseType` describes
the type of the supercase and cannot be changed after supercase creation.
    Enum: "generic", "federalEmergency"

## Response 200 fields (application/json):

  - `message` (string)
    Description of the server action or error.

  - `status` (integer)
    HTTP status code.

  - `data` (object)
    A supercase allows for the management of many subcases. It is useful, for
instance, when there is an issue which effects a large group of borrowers.

  - `data.autoCreated` (boolean)
    True if the supercase was created by some automated method.

  - `data.companyId` (string)
    The company's ID

  - `data.createdBy` (object)

  - `data.createdBy.descriptor` (string)
    Short description of the user who performed the action.
Different systems may have different data available for a given user. The descriptor
gives the best available short description of the user. It prefers names, then email addresses,
then related IDs.
e.g.,
- "Borrower Tim Jones"
- "Borrower BO-ABCD-1234"
- "Peach Service User"
- "Agent Abigail Smith"
- "Agent bob@acme.com"
- "Agent EM-ABCD-1234"
    Example: Agent bob@acme.com

  - `data.createdBy.employee` (object)

  - `data.createdBy.employee.id` (string)
    The employee's ID

  - `data.createdBy.id` (string)
    The unique identifier of the user who performed the action.

  - `data.createdBy.name` (string)
    The name of the user who performed the action.

  - `data.createdBy.userType` (string)
    The type of the user.
    Enum: "agent", "borrower", "service"

  - `data.description` (string)
    A description of the supercase and/or the precipitating event
of the supercase.

  - `data.eventStartedAt` (string)
    The date and time at which the precipitating event took place. For instance, in the
case of a bug, the earliest date at which the bug affected customers; in the case
of a disaster, the date at which the disaster occurred.

  - `data.femaDisasterDetails` (object)
    The details of the associated FEMA disaster.

  - `data.femaDisasterDetails.beginDate` (string)
    Date the incident itself began.

  - `data.femaDisasterDetails.declarationDate` (string)
    Date the disaster was declared.

  - `data.femaDisasterDetails.description` (string)

  - `data.femaDisasterDetails.endDate` (string)
    Date the incident itself ended.

  - `data.femaDisasterDetails.hmProgramDeclared` (boolean)
    Denotes whether the Hazard Mitigation program was declared for this
disaster. For more information on the program,
please visit: www.fema.gov.

  - `data.femaDisasterDetails.iaProgramDeclared` (boolean)
    Denotes whether the Individual Assistance program was declared
for this disaster. For more information on the program,
please visit: www.fema.gov.

  - `data.femaDisasterDetails.ihProgramDeclared` (boolean)
    Denotes whether the Individuals and Households program was declared
for this disaster. For more information on the program,
please visit: www.fema.gov.

  - `data.femaDisasterDetails.impactedAreas` (array)

  - `data.femaDisasterDetails.impactedAreas.countyArea` (string)

  - `data.femaDisasterDetails.impactedAreas.placeCode` (string)

  - `data.femaDisasterDetails.impactedAreas.state` (string)

  - `data.femaDisasterDetails.incidentType` (string)
    Type of incident such as fire or flood. The incident type will
affect the types of assistance available. For more information on
incident types, please visit: www.fema.gov.

  - `data.femaDisasterDetails.lastRefreshAt` (string)
    Date the record was last updated in the FEMA API data store.

  - `data.femaDisasterDetails.paProgramDeclared` (boolean)
    Denotes whether the Public Assistance program was declared for this
disaster. For more information on the program,
please visit: www.fema.gov.

  - `data.femaDisasterNumber` (integer)
    The associated FEMA disaster number.

  - `data.femaMonitoringEndDate` (string)
    If set, the FEMA supercase monitoring will stop after this date.

  - `data.name` (string)
    Name of the supercase.

  - `data.object` (string)
    Enum: "supercase"

  - `data.outcome` (string)
    The outcome of a process, case, complaint, or dispute.
- If found to be valid, set value to `approved`.
This might impact debt collection efforts.
- If dismissed, set value to `denied`.
This will have no further impact on debt collection efforts.
- If found to be a false positive, set value to `falsePositive`.
- If completed without an outcome (or no outcome was needed), set to `noOutcome`.
    Enum: "approved", "denied", "falsePositive", "noOutcome"

  - `data.status` (string)
    The status of a process. This can be updated by a lender or by Peach.
`initiated` - The lender was notified by a borrower, but no documents or
evidence have been provided yet. A grace period can be set.
`processing` - Peach matched the borrower to an external data source, or the
lender started an internal process to handle a case, complaint or dispute.
`completed` - The lender completed an internal process, case, complaint or
dispute. For example:
- A borrower reported identity theft, and the lender reviewed documents
and approved the claim.
- A borrower requested a verification of debt in writing, and the lender sent an email with
details.
- Peach notified the lender about a new bankruptcy, and the lender reviewed
the case and deemed it to be a false positive.

`canceled` - The lender couldn't complete an internal process and canceled
it. This can happen for various reasons, such as lack of
sufficient documentation.
`reopened` - The lender re-opened the case.
    Enum: "initiated", "processing", "completed", "canceled", "reopened"

  - `data.statusUpdatedAt` (string)
    The date and time at which the status was last updated on this supercase.

  - `data.subcaseName` (string)
    The name of the subcase which will be used when creating new subcases for this supercase.

  - `data.subcaseTypeId` (string)
    The ID of the case-type which will be used when creating new subcases for this supercase.
When a population is committed (by settings its `isDraft: false`) subcases of this type
are created for all members of the population.
Notes:
- This is different from the `supercaseType`
- This must be NOT null in order to commit a population.

  - `data.supercaseType` (string)
    The different types of supercases.
Note that `supercaseType` is different from `subcaseType`. A `supercaseType` describes
the type of the supercase and cannot be changed after supercase creation.
    Enum: "generic", "federalEmergency"

